Users
Read and change the account of the authenticated user.
curl -X GET "https://example.com/users/me"{ "id": "string", "email": "user@example.com", "displayName": "string", "avatarUrl": "http://example.com", "primaryProvider": "github", "createdAt": 0, "lastLoginAt": 0}curl -X GET "https://example.com/users/me/identities"{ "identities": [ { "id": "string", "userId": "string", "provider": "github", "externalUserId": "string", "externalUsername": "string", "createdAt": 0 } ]}Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/users/me/identities" \ -H "Content-Type: application/json" \ -d '{ "provider": "github", "externalUserId": "string" }'{ "identities": [ { "id": "string", "userId": "string", "provider": "github", "externalUserId": "string", "externalUsername": "string", "createdAt": 0 } ]}Path Parameters
1 <= lengthResponse Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/users/me/identities/string"{ "ok": true}curl -X GET "https://example.com/users/me/email-preferences"{ "onboardingEmails": true}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/users/me/email-preferences" \ -H "Content-Type: application/json" \ -d '{ "onboardingEmails": true }'{ "onboardingEmails": true}Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/users/me/identities/linear" \ -H "Content-Type: application/json" \ -d '{ "accessToken": "string" }'{ "identities": [ { "id": "string", "userId": "string", "provider": "github", "externalUserId": "string", "externalUsername": "string", "createdAt": 0 } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/users/me/terms" \ -H "Content-Type: application/json" \ -d '{ "termsVersion": "string" }'{ "termsVersion": "string", "acceptedAtSec": 0}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/email/unsubscribe" \ -H "Content-Type: application/json" \ -d '{ "token": "stringstri", "source": "one_click" }'{ "unsubscribed": true}How is this page?